AXEN(4)

NAME
axen - ASIX Electronics AX88179/AX88179A/AX88772D 10/100/1Gb USB Ethernet device

SYNOPSIS
axen* at uhub?
rgephy* at mii?
ukphy* at mii?

DESCRIPTION
The axen driver provides support for USB Ethernet adapters based on the ASIX Electronics AX88179/AX88179A/AX88772D chipset, including the following:

D-Link DUB-1312
Kuroutoshikou GbE-USB3.0
Logitec LAN-GTJU3
Sitecom LN-032
StarTech USB31000S
TP-LINK UE300C v2
TP-Link UE306
Ugreen CM650-15632

The AX88772D is a USB 2.0 device which supports both 10 and 100Mbps speeds in either full or half duplex. The AX88179 and AX88179A are USB 3.0 devices, which contain a 10/100/1Gb Ethernet MAC with a GMII/MII interface.

The axen driver supports the following media types:

autoselect
    Enable autoselection of the media type and options (this is the default). The user can manually override the autoselected mode by adding media options to the appropriate hostname.if(5) file.

10baseT
    Set 10Mbps operation.

100baseTX
    Set 100Mbps (Fast Ethernet) operation.

1000baseT
    Set 1000Mbps (Gigabit Ethernet) operation.

For more information on configuring this device, see ifconfig(8).

SEE ALSO
arp(4), ifmedia(4), intro(4), netintro(4), rgephy(4), ukphy(4), usb(4), hostname.if(5), ifconfig(8)

HISTORY
The axen device driver first appeared in OpenBSD 5.4.

AUTHORS
-nosplit The axen driver was written by Yojiro UO <yuo@nui.org>.